package com.shanghaichengdi.ghjgitem.mapper;

import com.shanghaichengdi.ghjgitem.domain.WaterPublicFlights;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.ghjgitem.vo.response.WaterPublicFlightsRes;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* @author Administrator
* @description 针对表【WATER_PUBLIC_FLIGHTS(浦江游览备案公共航班)】的数据库操作Mapper
* @createDate 2025-02-14 18:49:13
* @Entity .domain.com.shanghaichengdi.ghjgitem.domain.WaterPublicFlights
*/
@Repository
public interface WaterPublicFlightsMapper extends BaseMapper<WaterPublicFlights> {

  List<WaterPublicFlightsRes> getPageList(@Param("startDate") String startDate, @Param("endDate") String endDate);

}




