package com.shanghaichengdi.ghjgitem.vo.response;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 浦江游览备案-自营航班
 * @TableName WATER_SELF_OPERATED
 */
@Data
public class WaterSelfOperatedRes {
    /**
     * 
     */
    private String code;

    /**
     * 单位名称
     */
    private String unitName;

    /**
     * 单位编号（证照编号）如果是手填，则为空
     */
    private String unitNumber;

    /**
     * 申报月份
     */
    private String declareDateMonth;

    /**
     * 开航时间（时-分）（mi-ss）
     */
    private String sailDateStart;

    /**
     * 开航时间（时-分）（mi-ss）
     */
    private String sailDateEnd;

    /**
     * 船舶名称
     */
    private String shipName;

    /**
     * 停靠码头名称
     */
    private String dockAtTheDockName;

    /**
     * 售票价格
     */
    private String ticketPrice;

    /**
     * 航线类型
     */
    private String routeType;

    /**
     * 特色内容
     */
    private String featuredContent;

    /**
     * yyyy-mm-dd 营运时间开始
     */
    private String operatingDateSta;

    /**
     * 航班类型  1月度计划  2临时新增
     */
    private Long operatedType;

    /**
     * yyyy-mm-dd 营运时间结束
     */
    private String operatingDateEnd;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createDate;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date upDate;

}