package com.shanghaichengdi.ghjgitem.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.ghjgitem.domain.WaterSelfOperated;
import com.shanghaichengdi.ghjgitem.vo.response.WaterPublicFlightsRes;
import com.shanghaichengdi.ghjgitem.vo.response.WaterSelfOperatedRes;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
* @author Administrator
* @description 针对表【WATER_SELF_OPERATED(浦江游览备案-自营航班)】的数据库操作Mapper
* @createDate 2025-02-14 21:33:53
* @Entity .domain.com.shanghaichengdi.ghjgitem.domain.WaterSelfOperated
*/
public interface WaterSelfOperatedMapper extends BaseMapper<WaterSelfOperated> {
    // 添加自定义查询方法
    List<WaterSelfOperatedRes> getPageList(@Param("startDate") String startDate, @Param("endDate") String endDate);
}