package com.shanghaichengdi.ghjgitem.vo.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class WaterPublicFlightsRes {

  /**
   * 主键
   */
  private String code;
  /**
   * 单位名称
   */
  private String unitName;
  /**
   * 船舶名称
   */
  private String shipName;
  /**
   * 停靠码头
   */
  private String dockAtTheDock;
  /**
   * 宝船日期
   */
  private String charterDate;
  /**
   * 开航时间 sta
   */
  private String departureDateSta;
  /**
   * 开航时间 end
   */
  private String departureDateEnd;
  /**
   * 包船人数
   */
  private Long numberTreasureShips;
  /**
   * 航线类型
   */
  private String routeType;
  /**
   * 包船性质
   */
  private String charteredNature;
  /**
   * 宝船单位类型
   */
  private String natureOfCharterUnits;
  /**
   * 单位、个人名称
   */
  private String name;
  /**
   * 创建时间
   */
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
  private Date cdate;
  /**
   * 更新时间
   */
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
  private Date udate;
  /**
   * 历史code
   */
  private String codeHistory;
  /**
   * 0 补录 1 非补录
   */
  private String additional;

//  private List<WtfExportFile> exportFileList;

}
